<% local form, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<% htmlviewfunctions.displaycommandresults({"createdatabase"}, session) %>

<h1><%= html.html_escape(form.label) %></h1>
<% for i,table in ipairs(form.value) do %>
	<li>
	<% if viewlibrary.check_permission("viewtable") then %>
		<%= html.link{value = "viewtable?table=" .. table, label=table} %>
	<% else %>
		<%= html.html_escape(table) %>
	<% end %>
<% end %>

<% if #form.value == 0 and viewlibrary.check_permission("createdatabase") then %>
<div class='item'><p class='left'>Create Database</p>
<div class='right'>
<form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/createdatabase") %>">
<input class="submit" type="submit" name="submit" value="Create">
</form>
</div></div><!-- end .item -->
<% end %>
